=== debian/changelog ===
indicator-kdeconnect (0.9.4-0.1mx21) mx; urgency=medium

  * Switch from deprecated libappindicator to libayatana-appindicator
  * Build for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 15 Apr 2023 10:54:08 -0400

indicator-kdeconnect (0.9.4-0.1mx19) mx; urgency=medium

  * Build for MX Linux.
  * Bump to debhelper-compat = 12.
  * Add dh-python to BDs.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Apr 2023 16:41:58 -0700

indicator-kdeconnect (0.9.3) precise; urgency=low
  * Add Languages: Greek, Hebrew, Chinese
  * Fix Icons Name

 -- Bajoja <steevenlopes@outlook.com>  Sun, 08 Apr 2018 00:00:00 -0000

indicator-kdeconnect (0.9.2) precise; urgency=low
  * Add Languages: Persian, Polish, Norwegian,Slovenian
  * Fix English errors on main translation file

 -- Bajoja <steevenlopes@outlook.com>  Sun, 24 Sep 2017 00:00:00 -0000

indicator-kdeconnect (0.9.1) precise; urgency=low
  * Add Languages: Chinese
  * Fix Elementary OS App Center app compilation
  * Fix Nautilus and Caja send files don't work
  * Remove settings option to use custom Elementary Icons
  * Make indicator-kdeconnect restart after apply settings

 -- Bajoja <steevenlopes@outlook.com>  Thu, 04 May 2017 00:00:00 -0000

indicator-kdeconnect (0.9.0) precise; urgency=low
  * Add support to send files to multiple devices
  * Add settings panel
  * Users can open settings panel from battery menu item
  * Now users can hidde untrusted devices to save space on menu bar
  * Users can delete Google Contacts from settings panel
  * Fix Elementary OS not show monochrome icons
  * Fix bugs on SMS contacts sync
  * Add Language: Serbian

 -- Bajoja <steevenlopes@outlook.com>  Mon, 16 May 2017 00:00:00 -0000

indicator-kdeconnect (0.8.2) precise; urgency=low
  * Fix bug #64 - SMS only getting 100 contacts
  * Added support for sending same SMS to multiple numbers

 -- Bajoja <steevenlopes@outlook.com>  Thu, 04 May 2017 00:00:00 -0000

indicator-kdeconnect (0.8.1) precise; urgency=low
  * Fix bug #59 - SMS exec with permission problems
  * Fix bug #60 - SMS autocomplete problem with accented letters
  * Fix bug #60 - Port 8000 - "address already in use"

 -- Bajoja <steevenlopes@outlook.com>  Thu, 27 Apr 2017 00:00:00 -0000

indicator-kdeconnect (0.8.0) precise; urgency=low
  * Fix bug #51 - Nemo and Caja only show the first device
  * Send SMS is now stable and support autocomplete from Google Contacts

 -- Bajoja <steevenlopes@outlook.com>  Sat, 20 Apr 2017 00:00:00 -0000

indicator-kdeconnect (0.7.1) precise; urgency=low
  * Fix bug #51 - Nemo and Caja extensions not working
  * Add Language: Lithuanian Language

 -- Bajoja <steevenlopes@outlook.com>  Sat, 08 Apr 2017 21:30:00 -0000

indicator-kdeconnect (0.7) precise; urgency=low
  * Fix bug #46 - Nautilus freeze on copy/paste - URGENT

  * Fix Desktop Computers don't appear on kdeconnect-send context menu

  * New UI for kdeconnect-send (move controls to header bar)
    and a button to reload devices

  * Add kdeconnect-send to Thunar 'send to' context menu

  * File manager extensions now is translated

  * Add Languages: French, Spanish, Catalan, Italian

  * Kdeconnect-send script for file manger not supported
    by extension can send multiple files

  * Provide OpenSuse repo

 -- Bajoja <steevenlopes@outlook.com>  Thu, 23 Mar 2017 23:00:00 -0000

indicator-kdeconnect (0.6) precise; urgency=low
  * Monochrome icons for Gnome
  
  * Add German, Dutch, Czech, Croatian and Hungarian Language
  
  * KDEConnect-send and Elementary OS can send multiple files
  
  * Now you can Send SMS as a Beta Feature

 -- Bajoja <steevenlopes@outlook.com>  Thu, 26 Jan 2017 02:00:00 -0000

indicator-kdeconnect (0.5) precise; urgency=low
  * Bugs Fixes

  * Add Brazilian Portuguese Language

  * Add icons for Elementary OS

  * Trusted devices now appear on context menu extension to send files directly

 -- Bajoja <steevenlopes@outlook.com>  Tue, 03 Jan 2017 18:00:00 -0000

indicator-kdeconnect (0.4) precise; urgency=low
  * New native extension for Nautilus, Caja and Nemo

  * Now Indicator-kdeconnect provide translations

  * Add Portuguese Portugal and Russian Language

  * Provide CMake uninstall process

 -- Bajoja <steevenlopes@outlook.com>  Thu, 24 Nov 2016 17:00:00 -0000

indicator-kdeconnect (0.3) precise; urgency=low

  * Bug Fixes.

  * New default icons

  * New Icons for ubuntu based desktops.

  * New Images for First time wizard.

 -- Bajoja <steevenlopes@outlook.com>  Mon, 15 Nov 2016 16:44:00 -0000
  

indicator-kdeconnect (0.2) precise; urgency=low

  * Bug Fixes.
 
  * Features:
    - Multiple files send from the indicator
    - Menu to ring and find your phone
    - Icons can low and higth color case device is paired or unpaired
    - From the device name menu you can get encryption information
    - From the device status menu item you can open kdeconnect settings.
  
 -- Bajoja <steevenlopes@outlook.com>  Sun,  06 Nov 2016 21:00:12 -0000
 

indicator-kdeconnect (0.1) precise; urgency=low

  * Initial Release.

 -- Viko Adi Rahmawan <vikoadi@gmail.com>  Thu, 20 Aug 2012 03:23:19 -0500
