=== debian/control ===
Source: indicator-kdeconnect
Section: net
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Bajoja <steevenlopes@outlook.com>
Build-Depends: cmake (>= 2.8),
               dh-python,
               debhelper-compat (= 12),
               libayatana-appindicator3-dev,
               gir1.2-appindicator3-0.1,
               libgtk-3-dev (>=3.6),
               pkg-config,
               python3,
               valac (>=0.20)
Standards-Version: 4.1.1
Homepage: https://github.com/Bajoja/indicator-kdeconnect
Vcs-Browser: https://github.com/Bajoja/indicator-kdeconnect
Vcs-Git: https://github.com/Bajoja/indicator-kdeconnect.git

Package: indicator-kdeconnect
Architecture: any
Depends: kdeconnect,
         python3-requests-oauthlib,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-caja, python-nautilus, python-nemo
Description: Indicator for KDE Connect
 KDE Connect is a tool to integrate the KDE Plasma Workspace with your
 smartphone and similar devices.  This indicator brings this integration
 to any system using libappindicator.
