=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3
 
override_dh_auto_install:
	dh_auto_install
	chmod 755 debian/indicator-kdeconnect/usr/share/indicator-kdeconnect/Sms.py
	rm -f debian/indicator-kdeconnect/usr/share/contractor/*
	
# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym
